edu.wpi.cscore

## Class VideoMode

- java.lang.Object
- - edu.wpi.cscore.VideoMode

-     public class VideoMode
      extends java.lang.Object

  Video mode

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VideoMode.PixelFormat`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `fps` Frames per second
    `int` | `height` Height in pixels
    `VideoMode.PixelFormat` | `pixelFormat` Pixel format
    `int` | `width` Width in pixels

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoMode(int pixelFormat, int width, int height, int fps)`
    `VideoMode(VideoMode.PixelFormat pixelFormat, int width, int height, int fps)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VideoMode.PixelFormat` | `getPixelFormatFromInt(int pixelFormat)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pixelFormat

          public VideoMode.PixelFormat pixelFormat

      Pixel format

    - #### width

          public int width

      Width in pixels

    - #### height

          public int height

      Height in pixels

    - #### fps

          public int fps

      Frames per second

  - ### Constructor Detail

    - #### VideoMode

          public VideoMode(int pixelFormat,
                           int width,
                           int height,
                           int fps)

    - #### VideoMode

          public VideoMode(VideoMode.PixelFormat pixelFormat,
                           int width,
                           int height,
                           int fps)

  - ### Method Detail

    - #### getPixelFormatFromInt

          public static VideoMode.PixelFormat getPixelFormatFromInt(int pixelFormat)